libdap::D4Attribute Class Reference
Inheritance diagram for libdap::D4Attribute:

## Public Types

typedef vector< string >::const_iterator | D4AttributeCIter
typedef vector< string >::iterator | D4AttributeIter

## Public Member Functions

void | add_value (const string &value)
void | add_value_vector (const vector< string > &values)
D4Attributes * | attributes ()
| D4Attribute (const D4Attribute &src)
| D4Attribute (const string &name, D4AttributeType type)
virtual void | dump (ostream &strm) const
| dumps information about this object
bool | get_utf8_str_flag () const
bool | is_dap4_type (const std::string &path, std::vector< std::string > &inventory)
string | name () const
unsigned int | num_values () const
D4Attribute & | operator= (const D4Attribute &rhs)
void | print_dap4 (XMLWriter &xml) const
void | set_name (const string &name)
void | set_type (D4AttributeType type)
void | set_utf8_str_flag (bool utf8_str_flag)
D4AttributeType | type () const
string | value (unsigned int i) const
D4AttributeIter | value_begin ()
D4AttributeIter | value_end ()

## Detailed Description

Definition at line 43 of file D4Attributes.h.

## Member Typedef Documentation

## D4AttributeCIter

typedef vector<string>::const_iterator libdap::D4Attribute::D4AttributeCIter

Definition at line 62 of file D4Attributes.h.

## D4AttributeIter

typedef vector<string>::iterator libdap::D4Attribute::D4AttributeIter

Definition at line 61 of file D4Attributes.h.

## Constructor & Destructor Documentation

## D4Attribute() [1/3]

libdap::D4Attribute::D4Attribute | ( |  | ) |

inline

Definition at line 64 of file D4Attributes.h.

## D4Attribute() [2/3]

libdap::D4Attribute::D4Attribute | ( | const string & | name,
|  | D4AttributeType | type
| ) |  |

inline

Definition at line 65 of file D4Attributes.h.

## D4Attribute() [3/3]

libdap::D4Attribute::D4Attribute | ( | const D4Attribute & | src | ) |

Definition at line 159 of file D4Attributes.cc.

## ~D4Attribute()

libdap::D4Attribute::~D4Attribute | ( |  | ) |

Definition at line 161 of file D4Attributes.cc.

## Member Function Documentation

## add_value()

void libdap::D4Attribute::add_value | ( | const string & | value | ) |

inline

Definition at line 80 of file D4Attributes.h.

## add_value_vector()

void libdap::D4Attribute::add_value_vector | ( | const vector< string > & | values | ) |

inline

Definition at line 81 of file D4Attributes.h.

## attributes()

D4Attributes * libdap::D4Attribute::attributes | ( |  | ) |

Definition at line 170 of file D4Attributes.cc.

## dump()

void libdap::D4Attribute::dump | ( | ostream & | strm | ) | const

virtual

dumps information about this object

Displays the pointer value of this instance and then displays information about this base type.

Parameters

  strm | C++ i/o stream to dump the information to

Returns
  void

Implements libdap::DapObj.

Definition at line 605 of file D4Attributes.cc.

## get_utf8_str_flag()

bool libdap::D4Attribute::get_utf8_str_flag | ( |  | ) | const

inline

Definition at line 77 of file D4Attributes.h.

## is_dap4_type()

bool libdap::D4Attribute::is_dap4_type | ( | const std::string & | path,
|  | std::vector< std::string > & | inventory
| ) |  |

Returns true if this Attribute is a dap4 type.

Parameters

  path |
  inventory |

Returns
  True of the attribute is a dap4 type, false otherwise

Definition at line 633 of file D4Attributes.cc.

## name()

string libdap::D4Attribute::name | ( |  | ) | const

inline

Definition at line 71 of file D4Attributes.h.

## num_values()

unsigned int libdap::D4Attribute::num_values | ( |  | ) | const

inline

Definition at line 86 of file D4Attributes.h.

## operator=()

D4Attribute & libdap::D4Attribute::operator= | ( | const D4Attribute & | rhs | ) |

Definition at line 163 of file D4Attributes.cc.

## print_dap4()

void libdap::D4Attribute::print_dap4 | ( | XMLWriter & | xml | ) | const

Definition at line 526 of file D4Attributes.cc.

## set_name()

void libdap::D4Attribute::set_name | ( | const string & | name | ) |

inline

Definition at line 72 of file D4Attributes.h.

## set_type()

void libdap::D4Attribute::set_type | ( | D4AttributeType | type | ) |

inline

Definition at line 75 of file D4Attributes.h.

## set_utf8_str_flag()

void libdap::D4Attribute::set_utf8_str_flag | ( | bool | utf8_str_flag | ) |

inline

Definition at line 78 of file D4Attributes.h.

## type()

D4AttributeType libdap::D4Attribute::type | ( |  | ) | const

inline

Definition at line 74 of file D4Attributes.h.

## value()

string libdap::D4Attribute::value | ( | unsigned int | i | ) | const

inline

Definition at line 87 of file D4Attributes.h.

## value_begin()

D4AttributeIter libdap::D4Attribute::value_begin | ( |  | ) |

inline

Definition at line 83 of file D4Attributes.h.

## value_end()

D4AttributeIter libdap::D4Attribute::value_end | ( |  | ) |

inline

Definition at line 84 of file D4Attributes.h.

The documentation for this class was generated from the following files:

- D4Attributes.h
- D4Attributes.cc